About Chronograph

Chronograph's main function is to synchronize your local PC time using the Internet. For that purpose it uses the National Institute of Standards and Technology (NIST) Atomic Clock servers. Chronograph provides quite a high degree of accuracy and the difference between local computer time and actual time after correction will rarely exceed 0.5 second. This slight difference is caused by an unavoidable network transmission delay.

Chronograph has an easy-to-use, nice-looking interface. It also offers many useful features which makes the time synchronization process fast and easy.

Manual, periodical and wait-for-connection operating modes.

Automatic Dial-Up Networking connection.

Ability to synchronize the time just after the program start.

Easy access to more than 10 NIST Atomic Clock servers.

Chronograph is able to work as a time server so you can synchronize you PC's clock not only to NIST servers but to any computer in your LAN.

High stability. Program automatically connects to another server when the current server is down.

Hides in the system tray and does not require any desktop space.

Optional to adjust only the minutes and seconds (for those with irregular Windows time zone settings).

System tray popup menu for easy access to main functions.

Configurable date and time format.

HTTP proxy server support.

Advanced hint with the calendar.


System Requirements

The listing below specifies the minimum system requirements for running Chronograph:
  • Intel 80386 based IBM PC compatible computer (or higher).
  • SVGA videocard with HiColor (16-bit graphics) mode support.
  • About 2 MByte free hard disk space.
  • Internet access.
  • Microsoft Windows 9x, Windows NT 4.0, Windows Me, Windows 2000 or Windows XP.


Revision History

June 26 2000 - Chronograph 1.0 Alpha, Initial version

Aug 10 2000 - Chronograph 1.0 Beta

  • Help file added
  • Autostart feature
  • "Minutes and second only" feature
  • "Wait for connection" mode
  • Date and time formats
  • Additional dial-up settings

Aug 21 2000 - Chronograph 1.0

  • Some bugs fixed
  • Animation added

Oct 11 2000 - Chronograph 1.5

  • HTTP proxy server support
  • Help file improved (thanks to Jerry Carpenter)

Nov 8 2000 - Chronograph 1.6

  • Advanced hint with calendar
  • Clock flickering eliminated

Dec 9 2000 - Chronograph 1.7

  • Stability improved (program automatically connects to another server when the current server is down)

Jan 5 2001 - Chronograph 1.75

  • Advanced hint is stable now
  • Chronograph is able to work on systems with more than one monitor

Feb 12 2001 - Chronograph 1.8

  • Now any computer with Chronograph installed can work as a time server

Mar 19 2001 - Chronograph 1.85

  • Sound notification added

Apr 15 2001 - Chronograph 1.9

  • Ability to synchronize the time just after the program start

May 20 2001 - Chronograph 1.95

  • "Exit after synchronization" feature added

Aug 15 2001 - Chronograph 2.0

  • Highly improved stability
  • Registration sheme changhed

Mar 1 2002 - Chronograph 2.1

  • Multiuser environment support
  • Help system is context-sensitive now
  • Cool window animation
  • Two new NIST atomic time servers added to the server list

Apr 3 2002 - Chronograph 2.2

  • Fully redesigned interface

May 2 2002 - Chronograph 2.3

  • Skins support

May 23 2002 - Chronograph 2.32

  • More new skins added

Jun 17 2002 - Chronograph 2.35

  • Installation changed
  • Buttons highlighting added

Jul 26 2002 - Chronograph 2.5

  • Built-in "work as a server" option support improved
  • Built-in dial-up connection support modified
  • Documentation and help system improved


Main Window

The distinctive feature of the Chronograph is its easy user-friendly interface, so program usage shouldn't cause any difficulties. Here is the main window view:

The Local box shows the time as reported by your computer.
The Server window shows the time reported by the Atomic Clock Server. Time and date formats can be customized by user.
The Difference box displays the difference between the two.
The Get button requests the time from the server. This time and the difference will be shown in the corresponding boxes.
The Adjust button will correct the PC clock.
The Settings button gives access to advanced options.
The Help button shows this documentation.
The About buttons displays a dialog box with program and author information.
The minimize button does one of the following:

  1. If you select the Manual update mode, this button will minimize Chronograph like other Windows applications.
  2. If you select the Periodical or "Wait For Connection" update mode, this button will hide the program main window and place its icon into the System Tray.


System Tray

If you select the Periodical or "Wait For Connection" update mode, Chronograph will run in the System Tray and will not require any desktop space. But you can easily access its main functions using a popup menu. Just right click on the tray icon to bring this menu up. Double clicking on the icon will open the main window.

The Synchronize menu item is a simple way to synchronize your local PC clock using Atomic Clock servers.
The Settings menu item displays the Settings dialog.
Use the Help menu item to show program documentation.
The Restore menu item shows the Chronograph main window.
To terminate the application use Exit.


Chronograph Settings

The Settings dialog will allow you to perform a "fine tune" of Chronograph. All Program settings are divided into seven groups:

Settings on the Display page define Chronograph's date and time formats.
Using Update page settings you can automate the time synchonization process.
The main purpose of the Server page is to define the server Chronograph uses for synchronization.
Chronograph is able to establish a dial-up connection when it is necessary. The Dial-up page helps you customize this feature.
If you are a LAN user you probably have to specify your HTTP proxy server (firewall) on the Proxy page.
Use the Skins page to select a skin for Chronograph's main window.
The License page shows if your copy is registered or unregestered.


"Display" page

Settings on the "Display" page define Chronograph's date and time formats:

Disable the Show date option if you don't want Chronograph to show the date.
You can choose between two main Date and time styles. The USA format uses 12-hour time and the name of the month goes before the day.
The Date format can be Short or Long. In the first case Chronograph will show day, month and year as 2-digits. The long format shows a 3-letter month and a 4-digit year.
If you choose the Local time option in the Time format group box, Chronograph shows the time as reported by your PC. Otherwise it will show UTC time (Greenwich Mean Time).


"Update" page

Using "Update" page settings you can automate the time synchonization process:
Chronograph supports thee synchronozation modes:
  1. Manual mode allows you to synchonize the clock whenever you wish. But in this case Chronograph needs your assistance. Use Get and Adjust buttons to synchronize the time manually.
  2. For a periodical synchonization you have to choose the Every n hour(s) option. Set your preferred update interval (in hours) in the appropriate box.
  3. Wait for connection mode means that Chronograph will atomatically sinchronize the clock every time your computer establishes a dial-up connection. When running in the two last update modes Chronograph hides the main window and places its icon into the System Tray.

The Minutes and seconds only option allows Chronograph to synchronize only minutes and seconds. In this case the hours value stays unchanged. It is useful for those with irregular Windows timezone settings.

Check the Run at startup option if you want Chronograph to start on every system reboot. The Advanced hint checkbox lets you enjoy useful hint with calendar, and the Window animation option allows you to disable program windows animation.

Use Sound notification feature to enable or disable playng sound after the time adjustment.

When the Synchronize after the start box is checked the clock will be synchronized every time Chronograph starts.

You can also use the Exit after syncronization option. It will remove Chronograph from the computer's memory arter the clock synchronization.


"Server" page

The main purpose of the "Server" page is to define the server Chronograph uses for synchronization.
At this moment the program can use one of 10 NIST Atomic Clock servers. Their addresses are shown in the Host name combo-box. Below you can see server location.

Since the version 1.8 Chronograph is able to work as a time server so you can easily synchronize your clock to any computer in your LAN. Just check the Work as a server box to enable this mode on the machine you want to synchronize to. Than use Server to use switch on all your client computers to force them to connect to the Local server. You will also have to enter the IP address of the server into the Local server box on the clients.


"Dial-up" page

Chronograph is able to establish a dial-up connection when it is necessary. The "Dial-up" page will help you to customize this feature.

When the Use dial-up option is disabled you have to establish an Internet connection manually.
If the Use dial-up option is enabled you should also specify a dial-up entry. All dial-up entries are displayed in the Dial-up entry dropdown list. Remember that selected dial-up entry has to have stored login/password information. Otherwise Chronograph will not be able to connect to your Internet service provider.
The Number of tries control allows you to specify how many times Chronograph will try to establish a dial-up connection if the line is busy.
The Wait between tries box determines the time interval (in seconds) between connection tries.


"Proxy" page

If you are a LAN user you probably have to specify your HTTP proxy server (firewall) on the "Proxy" page. Please note that most users outside of business sites don't need this feature.
Use HTTP proxy server checkbox enables the proxy server support. Also you have to specify Address and Port of your HTTP proxy server. Refer to your system administrator to get this information or ask him or her to make the settings for you.


"Proxy" page

"Skins" page

On the "Skins" page you can choose a skin for Chronograph's main window. But you can change skins without opening the "Skins" page of the "Settings" dialog. Just press Alt+S instead.
Enable the Use random skin option to allow Chronograph to choose a skin in a random way.


"License" page

The License page shows if the program is registered or unregestered. It also displays the owner's name after registration.

After registering Chronograph you will receive your personal key from AltrixSoft. Paste this key from the e-mail message into the box on the "License" page and press the "Unlock" button. Then exit the application and run Chronograph again. You should find your name under the "This copy is registered to:" string. If so, all shareware restrictions are automatically removed from your version.

If for any reason your registration key becomes invalid or lost send an e-mail to support@altrixsoft.com together with the details of your previous registration. You will receive a new key via e-mail at no charge as soon as we have validated your old registration data.


Order Chronograph

Minor upgrades are free for our registered users.

New users can register Chronograph at a cost of $19.95.

Select one of the following ways:

1. Through the World Wide Web. This is the fastest and easiest way. The ordering page is secure, assuring that your information remains confidential.

Use http://www.regsoft.net/purchase.php3?productid=33767 (Secure)

If your browser or firewall doesn't support secure pages, please use the following non-secure link:

http://www.regsoft.net/purchase_nonsecure.php3?productid=33767

2. You can also order Chronograph by fax, mail or toll-free voice. Simply open this link and follow the instructions.

After payment approval (usually, in one business day), we will send you the registration key which will remove all limitations of the unregistered version.

If you do not get your registration key within a reasonable time (two business days for credit card payments or two weeks for other payments), please notify us at support@altrixsoft.com. We trust there will be no inconvenience caused by these delays.

Important: when completing the order form, please double-check that your e-mail address is correct. If it is not, you will be unable to receive the registration key.


Contact information

Dear User

If you have a problem, please contact our Support Team at support@altrixsoft.com. Every bug you report, your comment, opinion or suggestion has great value for us. Feel free to contact us for any question concerning Chonograph.

Also you can visit the Chronograph home page at http://www.altrixsoft.com to download the most recent version or to register your copy.

Best regards,
AltrixSoft


NIST Atomic Clock servers

Host | IP-address | Location
time-a.nist.gov | 129.6.15.28 | NIST, Gaithersburg, Maryland
time-b.nist.gov | 129.6.15.29 | NIST, Gaithersburg, Maryland
time-a.timefreq.bldrdoc.gov | 132.163.4.101 | NIST, Boulder, Colorado
time-b.timefreq.bldrdoc.gov | 132.163.4.102 | NIST, Boulder, Colorado
time-c.timefreq.bldrdoc.gov | 132.163.4.103 | NIST, Boulder, Colorado
utcnist.colorado.edu | 128.138.140.44 | University of Colorado, Boulder
time.nist.gov | 192.43.244.18 | NCAR, Boulder, Colorado
nist1.datum.com | 209.0.72.7 | Datum, San Jose, California
nist1.nyc.certifiedtime.com | 208.184.49.129 | Abovnet, New York City
nist1.sjc.certifiedtime.com | 207.126.103.202 | Abovnet, San Jose, California
time-nw.nist.gov | 131.107.1.10 | Microsoft, Redmond, Washington
nist1.aol-ca.truetime.com | 207.200.81.113 | TrueTime, AOL facility, Sunnyvale, California